{
"requestId": "33df99c9-eb6b-4d69-8d84-e73121278ee5",
"message": "Authentication credentials were not provided.",
"data": "<string>"
}
{
"requestId": "56c1db80-261f-4dc4-983a-2836a2fca024",
"message": "Internal Server Error",
"data": "<string>"
}
The token generated is valid for 1 hour.
Reach out to your SPOC in Tartan for api_key.
Parameter
Description
api_key
Authentication key issued by Tartan. Note: This key is secret and should be kept safe.
email
The email of your corporate whose data you wish to retrieve.
org_name
The corporate’s organisation name.
fullname
The name of the HR admin at the corporate organisation.
remote_org_id (optional)
A unique identifier that allows you to bypass validation checks for corporates with multiple domains. It ensures a consistent org_id is provided for the same organization, regardless of domain variations. This is a client-defined identifier that Tartan uses to link users to a corporate. Refer to API workflow section of this page for a detailed explanation of this API workflow.
corporate_reference_data (optional)
Additional reference data for the corporate organization. Can include custom fields like unique_id or other metadata.
data_model_flags (optional)
Configuration flags to control which data fields are enabled/disabled in the SDK. Contains nested objects for different field categories.
Input Validation:
The API begins by validating the provided inputs ( email , org_name, fullname, and optionally remote_org_id). If any required input is missing or invalid, the API returns an error.Check for remote_org_id:
If a remote_org_id is provided, the API directly maps this identifier to an existing org_id without further domain or name validation and creates a user under it using the provided email if needed. This path is designed for clients with multiple domains or custom configurations who want a consistent identifier.Domain-Based org_id Determination:If remote_org_id is not provided, the API does the following:Domain Classification: The API checks if the email domain belongs to a common domain (Refer to list attached below) or a private domain (custom domains used by corporates).Private Domain Handling: If the email belongs to a private domain, the API ensures that there is a one-to-one mapping between the private domain and an org_id.If an org_id already exists for that private domain, it is returned. Otherwise, a new org_id is created for that domain.Common/Public Domain Handling: If the email belongs to a common domain, the API cannot rely on the domain alone to determine the organization.In this case, the API checks if the provided org_name is uniqueUnique org_name: If the organization name is unique, a new org_id is generated.Existing org_name: If the organization name already exists, the corresponding org_id is returned.This step prevents the creation of duplicate organizations when using common/public domains.Flowchart representing the onboarding process -
The data_model_flags parameter allows you to control which data fields are enabled or disabled in the SDK. This gives you granular control over the data collection process.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Tartan","colors":{"primary":"#193057","light":"#2f5fec","dark":"#193057"},"logo":{"light":"https://mintcdn.com/tartan-016fd7d8/F-sdJMJ6VImLHYp0/logo/dark.png?fit=max\u0026auto=format\u0026n=F-sdJMJ6VImLHYp0\u0026q=85\u0026s=50054c7a85907e98cd17ba8517a55ef1","dark":"https://mintcdn.com/tartan-016fd7d8/F-sdJMJ6VImLHYp0/logo/light.png?fit=max\u0026auto=format\u0026n=F-sdJMJ6VImLHYp0\u0026q=85\u0026s=5423f2185fd558c5ef98da8012abf04b","href":"https://www.tartanhq.com/"},"favicon":"https://mintcdn.com/tartan-016fd7d8/F-sdJMJ6VImLHYp0/favicon.png?fit=max\u0026auto=format\u0026n=F-sdJMJ6VImLHYp0\u0026q=85\u0026s=71bfc477c235b9abd7a8a0917e22df0f","appearance":{},"background":{"decoration":"grid"},"navbar":{"links":[{"href":"https://www.tartanhq.com/blog","label":"Blog"}],"primary":{"type":"button","label":"Contact Us","href":"https://www.tartanhq.com/contact"}},"footer":{"socials":{"linkedin":"https://www.linkedin.com/company/tartanhq","x":"https://twitter.com/TartanHQ"}},"styling":{"codeblocks":"dark","latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"tartan-016fd7d8","hasAudioNarration":false,"actualSubdomain":"tartan-016fd7d8","customDomains":["docs.hypersync.tartanhq.com"],"gitSource":{"type":"github","owner":"tartanhq","repo":"hypersync-api-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"entitlements":{},"buildId":"6ac4958e1f6090d368d2a42d","clientVersion":"0.0.4117","searchFilterCounts":[{"language":"default","tag":"HRMS Sync","count":43},{"language":"default","tag":"API Collection","count":32},{"language":"default","tag":"Webhooks","count":19},{"language":"default","tag":"Webhook events V2","count":14},{"language":"default","tag":"Overview","count":12},{"language":"default","tag":"Usecases","count":6},{"language":"default","tag":"Employees","count":4},{"language":"default","tag":"External","count":4},{"language":"default","tag":"Offerings","count":4},{"language":"default","tag":"Organization","count":3}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/sdk/get-sdk-token","slug":"/api-reference/sdk/get-sdk-token","pageMetadata":{"title":"Get SDK Token","openapi":"POST /api/sdk/token/","sidebarTitle":"Get SDK Token","description":"Generate an authentication token for the SDK using user and organization details.","href":"/api-reference/sdk/get-sdk-token"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Generate an authentication token for the SDK using user and organization details.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,li:`li`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,tbody:`tbody`,td:`td`,th:`th`,thead:`thead`,tr:`tr`,ul:`ul`,..._provideComponents(),...props.components},{CodeBlock,Frame,Heading,Note,OptimizedImage,Table}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Frame)_missingMdxReference(`Frame`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Note)_missingMdxReference(`Note`,true);if(!OptimizedImage)_missingMdxReference(`OptimizedImage`,true);if(!Table)_missingMdxReference(`Table`,true);return _jsxs(_Fragment,{children:[_jsx(Note,{children:` The token generated is valid for 1 hour. `}),`\n`,_jsx(Note,{children:` Reach out to your SPOC in Tartan for api_key. `}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Parameter`}),_jsx(_components.th,{children:`Description`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`api_key`}),_jsxs(_components.td,{children:[`Authentication key issued by Tartan. `,_jsx(_components.strong,{children:`Note: This key is secret and should be kept safe.`})]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`email`}),_jsx(_components.td,{children:`The email of your corporate whose data you wish to retrieve.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`org_name`}),_jsx(_components.td,{children:`The corporate’s organisation name.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`fullname`}),_jsx(_components.td,{children:`The name of the HR admin at the corporate organisation.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`remote_org_id (optional)`}),_jsxs(_components.td,{children:[`A unique identifier that allows you to bypass validation checks for corporates with multiple domains. It ensures a consistent org_id is provided for the same organization, regardless of domain variations. This is a client-defined identifier that Tartan uses to link users to a corporate. Refer to `,_jsx(_components.a,{href:`/docs/hrmssync/sdk`,children:`API workflow`}),` section of this page for a detailed explanation of this API workflow.`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`corporate_reference_data (optional)`}),_jsxs(_components.td,{children:[`Additional reference data for the corporate organization. Can include custom fields like `,_jsx(_components.code,{children:`unique_id`}),` or other metadata.`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`data_model_flags (optional)`}),_jsx(_components.td,{children:`Configuration flags to control which data fields are enabled/disabled in the SDK. Contains nested objects for different field categories.`})]})]})]}),`\n`,_jsx(Heading,{level:`3`,id:`generate-sdk-token-api-decision-matrix`,children:`Generate SDK Token API: Decision Matrix`}),`\n`,_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Input Validation`}),`:\nThe API begins by validating the provided inputs ( email , org_name, fullname, and optionally remote_org_id). If any required input is missing or invalid, the API returns an error.`]}),`\n`,_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Check for remote_org_id`}),`:\nIf a remote_org_id is provided, the API directly maps this identifier to an existing org_id without further domain or name validation and creates a user under it using the provided email if needed. This path is designed for clients with multiple domains or custom configurations who want a consistent identifier.`]}),`\n`,_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Domain-Based org_id Determination`}),`:`]}),`\n`,_jsx(_components.p,{children:`If remote_org_id is not provided, the API does the following:`}),`\n`,_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Domain Classification`}),`: The API checks if the email domain belongs to a common domain (Refer to list attached below) or a private domain (custom domains used by corporates).`]}),`\n`,_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Private Domain Handling`}),`: If the email belongs to a private domain, the API ensures that there is a one-to-one mapping between the private domain and an org_id.`]}),`\n`,_jsx(_components.p,{children:`If an org_id already exists for that private domain, it is returned. Otherwise, a new org_id is created for that domain.`}),`\n`,_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Common/Public Domain Handling`}),`: If the email belongs to a common domain, the API cannot rely on the domain alone to determine the organization.`]}),`\n`,_jsx(_components.p,{children:`In this case, the API checks if the provided org_name is unique`}),`\n`,_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Unique org_name`}),`: If the organization name is unique, a new org_id is generated.`]}),`\n`,_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Existing org_name`}),`: If the organization name already exists, the corresponding org_id is returned.`]}),`\n`,_jsx(_components.p,{children:`This step prevents the creation of duplicate organizations when using common/public domains.`}),`\n`,_jsx(_components.p,{children:`Flowchart representing the onboarding process -`}),`\n`,_jsx(Frame,{children:_jsx(OptimizedImage,{src:`https://mintcdn.com/tartan-016fd7d8/F-sdJMJ6VImLHYp0/images/sdk_onboarding.png?fit=max\u0026auto=format\u0026n=F-sdJMJ6VImLHYp0\u0026q=85\u0026s=758a8c1ec74c440b678de5e259d1cde1`,\"data-og-width\":`8928`,width:`8928`,\"data-og-height\":`7312`,height:`7312`,\"data-path\":`images/sdk_onboarding.png`,\"data-optimize\":`true`,\"data-opv\":`3`,srcset:`https://mintcdn.com/tartan-016fd7d8/F-sdJMJ6VImLHYp0/images/sdk_onboarding.png?w=280\u0026fit=max\u0026auto=format\u0026n=F-sdJMJ6VImLHYp0\u0026q=85\u0026s=fb21e77a065a40d25be2f38e025d9fe6 280w, https://mintcdn.com/tartan-016fd7d8/F-sdJMJ6VImLHYp0/images/sdk_onboarding.png?w=560\u0026fit=max\u0026auto=format\u0026n=F-sdJMJ6VImLHYp0\u0026q=85\u0026s=4be34dfb5192479de8f7053201c7727e 560w, https://mintcdn.com/tartan-016fd7d8/F-sdJMJ6VImLHYp0/images/sdk_onboarding.png?w=840\u0026fit=max\u0026auto=format\u0026n=F-sdJMJ6VImLHYp0\u0026q=85\u0026s=80d1094c04c11b7cc2ec690f9241b7ce 840w, https://mintcdn.com/tartan-016fd7d8/F-sdJMJ6VImLHYp0/images/sdk_onboarding.png?w=1100\u0026fit=max\u0026auto=format\u0026n=F-sdJMJ6VImLHYp0\u0026q=85\u0026s=819d75933ea1bcdaedfd326098084916 1100w, https://mintcdn.com/tartan-016fd7d8/F-sdJMJ6VImLHYp0/images/sdk_onboarding.png?w=1650\u0026fit=max\u0026auto=format\u0026n=F-sdJMJ6VImLHYp0\u0026q=85\u0026s=975d853511946dabd77eb5c673b6f932 1650w, https://mintcdn.com/tartan-016fd7d8/F-sdJMJ6VImLHYp0/images/sdk_onboarding.png?w=2500\u0026fit=max\u0026auto=format\u0026n=F-sdJMJ6VImLHYp0\u0026q=85\u0026s=8338b259306aefbcd00abef5ae123667 2500w`})}),`\n`,_jsx(Heading,{level:`3`,id:`data-model-flags`,children:`Data Model Flags`}),`\n`,_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`data_model_flags`}),` parameter allows you to control which data fields are enabled or disabled in the SDK. This gives you granular control over the data collection process.`]}),`\n`,_jsx(Heading,{level:`4`,id:`structure`,children:`Structure`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`15`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes dark-plus dark-plus`,style:{backgroundColor:`#0B0C0E`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#D4D4D4`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`15`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#D4D4D4`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#9CDCFE`,\"--shiki-dark\":`#9CDCFE`},children:` \"data_model_flags\"`}),_jsx(_components.span,{style:{color:`#D4D4D4`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#9CDCFE`,\"--shiki-dark\":`#9CDCFE`},children:` \"detail_info_fields\"`}),_jsx(_components.span,{style:{color:`#D4D4D4`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#9CDCFE`,\"--shiki-dark\":`#9CDCFE`},children:` \"gender\"`}),_jsx(_components.span,{style:{color:`#D4D4D4`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#B5CEA8`,\"--shiki-dark\":`#B5CEA8`},children:`-1`}),_jsx(_components.span,{style:{color:`#D4D4D4`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#9CDCFE`,\"--shiki-dark\":`#9CDCFE`},children:` \"dob\"`}),_jsx(_components.span,{style:{color:`#D4D4D4`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#B5CEA8`,\"--shiki-dark\":`#B5CEA8`},children:`-1`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#D4D4D4`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#9CDCFE`,\"--shiki-dark\":`#9CDCFE`},children:` \"dependent_details_fields\"`}),_jsx(_components.span,{style:{color:`#D4D4D4`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#9CDCFE`,\"--shiki-dark\":`#9CDCFE`},children:` \"dependentDetails_mobileNumber\"`}),_jsx(_components.span,{style:{color:`#D4D4D4`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#B5CEA8`,\"--shiki-dark\":`#B5CEA8`},children:`1`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#D4D4D4`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#9CDCFE`,\"--shiki-dark\":`#9CDCFE`},children:` \"ctc_details_fields\"`}),_jsx(_components.span,{style:{color:`#D4D4D4`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#9CDCFE`,\"--shiki-dark\":`#9CDCFE`},children:` \"ctc_deductions_misc\"`}),_jsx(_components.span,{style:{color:`#D4D4D4`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#B5CEA8`,\"--shiki-dark\":`#B5CEA8`},children:`1`}),_jsx(_components.span,{style:{color:`#D4D4D4`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#9CDCFE`,\"--shiki-dark\":`#9CDCFE`},children:` \"ctc_deductions_esi\"`}),_jsx(_components.span,{style:{color:`#D4D4D4`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#B5CEA8`,\"--shiki-dark\":`#B5CEA8`},children:`1`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#D4D4D4`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#D4D4D4`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#D4D4D4`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),`\n`,_jsx(Heading,{level:`4`,id:`field-categories`,children:`Field Categories`}),`\n`,_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`detail_info_fields`}),`: Controls basic employee information fields`]}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`gender`}),`: -1 (mandatory enabled) or 1 (enabled)`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`dob`}),`: -1 (mandatory enabled) or 1 (enabled)`]}),`\n`]}),`\n`,_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`dependent_details_fields`}),`: Controls dependent information fields`]}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`dependentDetails_mobileNumber`}),`: -1 (mandatory enabled) or 1 (enabled)`]}),`\n`]}),`\n`,_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`ctc_details_fields`}),`: Controls CTC (Cost to Company) related fields`]}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`ctc_deductions_misc`}),`: -1 (mandatory enabled) or 1 (enabled)`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`ctc_deductions_esi`}),`: -1 (mandatory enabled) or 1 (enabled)`]}),`\n`]}),`\n`,_jsx(Heading,{level:`4`,id:`flag-values`,children:`Flag Values`}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`-1`}),`: Field is enabled and required`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`0`}),`: Field is disabled`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`1`}),`: Field is enabled and optional`]}),`\n`]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"codeStyling":"dark","config":{},"pageMetadata":{"title":"Get SDK Token","openapi":"POST /api/sdk/token/","sidebarTitle":"Get SDK Token","description":"Generate an authentication token for the SDK using user and organization details.","href":"/api-reference/sdk/get-sdk-token"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"Generate SDK Token API: Decision Matrix","slug":"generate-sdk-token-api-decision-matrix","depth":3,"children":[]},{"title":"Data Model Flags","slug":"data-model-flags","depth":3,"children":[]},{"title":"Structure","slug":"structure","depth":4,"children":[]},{"title":"Field Categories","slug":"field-categories","depth":4,"children":[]},{"title":"Flag Values","slug":"flag-values","depth":4,"children":[]}],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"summary":"Generate SDK Token","description":"Generate an authentication token for the SDK using user and organization details.","requestBody":"c37e315f-cca4-45b5-9d51-fe4bde4f14bf","responses":{"200":"caef5c99-e304-46d9-8909-2c042876539a","400":"cc35bae5-d7f4-41fe-96b0-e4dd68c4d654","401":"48d392ea-d2db-4929-9224-6355372c6744","500":"89b73ddb-128a-4aa1-83fb-540b8f0be1c0"},"security":["7feed2fa-0b07-425a-a4ae-8646fc02dea2"],"method":"post","type":"path","servers":["2fbdcfc6-e301-44d8-adb1-ad556de95afc"],"path":"/api/sdk/token/","baseUrlOptions":["https://{env}.tartanhq.com"],"title":"Generate SDK Token","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["email","org_name","fullname"],"properties":{"email":{"type":"string","format":"email","description":"The user's email address.","isRequired":true,"uniqueKey":"email","typeLabel":"string\u003cemail>"},"org_name":{"type":"string","description":"The name of the organization.","isRequired":true,"uniqueKey":"org_name","typeLabel":"string"},"fullname":{"type":"string","description":"The user's full name.","isRequired":true,"uniqueKey":"fullname","typeLabel":"string"},"remote_org_id":{"type":"string","description":"A unique identifier for the remote organization.","uniqueKey":"remote_org_id","typeLabel":"string"},"corporate_reference_data":{"type":"object","description":"Additional reference data for the corporate organization.","properties":{"unique_id":{"type":"string","description":"Custom unique identifier for the corporate.","uniqueKey":"corporate_reference_data.unique_id","typeLabel":"string"}},"uniqueKey":"corporate_reference_data","typeLabel":"object"},"data_model_flags":{"type":"object","description":"Configuration flags to control which data fields are enabled/disabled in the SDK.","properties":{"detail_info_fields":{"type":"object","properties":{"gender":{"type":"integer","enum":[-1,0,1],"description":"Gender field flag (-1=required, 0=optional, 1=enabled optional)","uniqueKey":"data_model_flags.detail_info_fields.gender","typeLabel":"enum\u003cinteger>"},"dob":{"type":"integer","enum":[-1,0,1],"description":"Date of birth field flag (-1=required, 0=optional, 1=enabled optional)","uniqueKey":"data_model_flags.detail_info_fields.dob","typeLabel":"enum\u003cinteger>"}},"uniqueKey":"data_model_flags.detail_info_fields","typeLabel":"object"},"dependent_details_fields":{"type":"object","properties":{"dependentDetails_mobileNumber":{"type":"integer","enum":[-1,0,1],"description":"Dependent mobile number field flag (-1=required, 0=optional, 1=enabled optional)","uniqueKey":"data_model_flags.dependent_details_fields.dependentDetails_mobileNumber","typeLabel":"enum\u003cinteger>"}},"uniqueKey":"data_model_flags.dependent_details_fields","typeLabel":"object"},"ctc_details_fields":{"type":"object","properties":{"ctc_deductions_misc":{"type":"integer","enum":[-1,0,1],"description":"CTC miscellaneous deductions field flag (-1=required, 0=optional, 1=enabled optional)","uniqueKey":"data_model_flags.ctc_details_fields.ctc_deductions_misc","typeLabel":"enum\u003cinteger>"},"ctc_deductions_esi":{"type":"integer","enum":[-1,0,1],"description":"CTC ESI deductions field flag (-1=required, 0=optional, 1=enabled optional)","uniqueKey":"data_model_flags.ctc_details_fields.ctc_deductions_esi","typeLabel":"enum\u003cinteger>"}},"uniqueKey":"data_model_flags.ctc_details_fields","typeLabel":"object"}},"uniqueKey":"data_model_flags","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"email":"jsmith@example.com","org_name":"\u003cstring>","fullname":"\u003cstring>","remote_org_id":"\u003cstring>","corporate_reference_data":{"unique_id":"\u003cstring>"},"data_model_flags":{"detail_info_fields":{},"dependent_details_fields":{},"ctc_details_fields":{}}}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"caef5c99-e304-46d9-8909-2c042876539a":{"description":"Successful token generation","content":{"application/json":{"schema":{"type":"object","properties":{"org_id":{"type":"string","format":"uuid","example":"a2e93895-c07d-417c-bd29-5b66cd7f4f12","uniqueKey":"org_id","typeLabel":"string\u003cuuid>"},"access_token":{"type":"string","example":"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...","uniqueKey":"access_token","typeLabel":"string"},"exp":{"type":"integer","example":3600,"uniqueKey":"exp","typeLabel":"integer"},"corporate_reference_data":{"type":"object","properties":{"unique_id":{"type":"string","example":"abc","uniqueKey":"corporate_reference_data.unique_id","typeLabel":"string"}},"uniqueKey":"corporate_reference_data","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"org_id":"a2e93895-c07d-417c-bd29-5b66cd7f4f12","access_token":"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...","exp":3600,"corporate_reference_data":{"unique_id":"abc"}}}},"exampleType":"generated"}},"exampleType":"generated"},"cc35bae5-d7f4-41fe-96b0-e4dd68c4d654":{"description":"Invalid email provided","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer","example":400,"uniqueKey":"code","typeLabel":"integer"},"message":{"type":"string","example":"Invalid Email Passed!","uniqueKey":"message","typeLabel":"string"},"data":{"oneOf":[{"type":"string","uniqueKey":"data.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"data.oneOf.1","typeLabel":"null"}],"uniqueKey":"data","typeLabel":"string | null"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"code":400,"message":"Invalid Email Passed!","data":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"48d392ea-d2db-4929-9224-6355372c6744":{"description":"Authentication credentials missing","content":{"application/json":{"schema":{"type":"object","properties":{"requestId":{"type":"string","format":"uuid","example":"33df99c9-eb6b-4d69-8d84-e73121278ee5","uniqueKey":"requestId","typeLabel":"string\u003cuuid>"},"message":{"type":"string","example":"Authentication credentials were not provided.","uniqueKey":"message","typeLabel":"string"},"data":{"oneOf":[{"type":"string","uniqueKey":"data.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"data.oneOf.1","typeLabel":"null"}],"uniqueKey":"data","typeLabel":"string | null"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"requestId":"33df99c9-eb6b-4d69-8d84-e73121278ee5","message":"Authentication credentials were not provided.","data":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"89b73ddb-128a-4aa1-83fb-540b8f0be1c0":{"description":"Internal server error","content":{"application/json":{"schema":{"type":"object","properties":{"requestId":{"type":"string","format":"uuid","example":"56c1db80-261f-4dc4-983a-2836a2fca024","uniqueKey":"requestId","typeLabel":"string\u003cuuid>"},"message":{"type":"string","example":"Internal Server Error","uniqueKey":"message","typeLabel":"string"},"data":{"oneOf":[{"type":"string","uniqueKey":"data.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"data.oneOf.1","typeLabel":"null"}],"uniqueKey":"data","typeLabel":"string | null"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"requestId":"56c1db80-261f-4dc4-983a-2836a2fca024","message":"Internal Server Error","data":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"7feed2fa-0b07-425a-a4ae-8646fc02dea2":{"TokenAuth":{"type":"apiKey","in":"header","name":"Authorization","scopes":[]}}},"servers":{"2fbdcfc6-e301-44d8-adb1-ad556de95afc":{"url":"https://{env}.tartanhq.com","description":"Dynamic environment-based server","variables":{"env":{"default":"dev"}}}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","in":"header","name":"Authorization","scopes":[]},"schema":{"title":"Authorization","type":"string","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"TokenAuth","name":"Authorization"}],"title":"TokenAuth"}]},"originalFileLocation":"openapi.yaml"},"subdomain":"tartan-016fd7d8","siteName":"Tartan","title":"Get SDK Token - Tartan","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2025-11-06T07:05:42.455Z","originalFileLocation":"api-reference/sdk/get-sdk-token.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Generate an authentication token for the SDK using user and organization details.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Tartan\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/tartan-016fd7d8/QtpwFVvWEe1GhjYO/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/tartan-016fd7d8/QtpwFVvWEe1GhjYO/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/tartan-016fd7d8/QtpwFVvWEe1GhjYO/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/tartan-016fd7d8/QtpwFVvWEe1GhjYO/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/tartan-016fd7d8/QtpwFVvWEe1GhjYO/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/tartan-016fd7d8/QtpwFVvWEe1GhjYO/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/tartan-016fd7d8/QtpwFVvWEe1GhjYO/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/tartan-016fd7d8/QtpwFVvWEe1GhjYO/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/tartan-016fd7d8/QtpwFVvWEe1GhjYO/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Get SDK Token - Tartan\">\u003cmeta data-mint-head property=\"og:description\" content=\"Generate an authentication token for the SDK using user and organization details.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Tartan\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.hypersync.tartanhq.com/api-reference/sdk/get-sdk-token\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://tartan-016fd7d8.mintlify.site/_mintlify/api/og/v2?division=SDK\u0026amp;title=Get+SDK+Token\u0026amp;description=Generate+an+authentication+token+for+the+SDK+using+user+and+organization+details.\u0026amp;theme=48073caf5d3a4ca02ca3466a\u0026amp;signature=758e9459a6ce5ad705bf321f0663f27a3f1447ef504a8f53c89390aafe4c2500\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Get SDK Token - Tartan\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Generate an authentication token for the SDK using user and organization details.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://tartan-016fd7d8.mintlify.site/_mintlify/api/og/v2?division=SDK\u0026amp;title=Get+SDK+Token\u0026amp;description=Generate+an+authentication+token+for+the+SDK+using+user+and+organization+details.\u0026amp;theme=48073caf5d3a4ca02ca3466a\u0026amp;signature=758e9459a6ce5ad705bf321f0663f27a3f1447ef504a8f53c89390aafe4c2500\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/tartan-016fd7d8/QtpwFVvWEe1GhjYO/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Tartan\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#193057\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.hypersync.tartanhq.com/api-reference/sdk/get-sdk-token\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/sdk/get-sdk-token.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.hypersync.tartanhq.com/#organization\",\"name\":\"Tartan\",\"url\":\"https://docs.hypersync.tartanhq.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/tartan-016fd7d8/F-sdJMJ6VImLHYp0/logo/dark.png?fit=max\u0026auto=format\u0026n=F-sdJMJ6VImLHYp0\u0026q=85\u0026s=50054c7a85907e98cd17ba8517a55ef1\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.hypersync.tartanhq.com#website\",\"name\":\"Tartan\",\"url\":\"https://docs.hypersync.tartanhq.com\",\"publisher\":{\"@id\":\"https://docs.hypersync.tartanhq.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.hypersync.tartanhq.com/api-reference/sdk/get-sdk-token#webpage\",\"url\":\"https://docs.hypersync.tartanhq.com/api-reference/sdk/get-sdk-token\",\"name\":\"Get SDK Token\",\"description\":\"Generate an authentication token for the SDK using user and organization details.\",\"dateModified\":\"2025-11-06T07:05:42.455Z\",\"isPartOf\":{\"@id\":\"https://docs.hypersync.tartanhq.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.hypersync.tartanhq.com/api-reference/sdk/get-sdk-token#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.hypersync.tartanhq.com/api-reference/sdk/get-sdk-token#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"HRMS Sync\",\"item\":\"https://docs.hypersync.tartanhq.com/docs/api-docs/reference/introduction\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Get SDK Token\",\"item\":\"https://docs.hypersync.tartanhq.com/api-reference/sdk/get-sdk-token\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.hypersync.tartanhq.com/api-reference/sdk/get-sdk-token#apireference\",\"headline\":\"Get SDK Token\",\"name\":\"Get SDK Token\",\"description\":\"Generate an authentication token for the SDK using user and organization details.\",\"url\":\"https://docs.hypersync.tartanhq.com/api-reference/sdk/get-sdk-token\",\"mainEntityOfPage\":{\"@id\":\"https://docs.hypersync.tartanhq.com/api-reference/sdk/get-sdk-token#webpage\"},\"dateModified\":\"2025-11-06T07:05:42.455Z\",\"publisher\":{\"@id\":\"https://docs.hypersync.tartanhq.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.hypersync.tartanhq.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Tartan\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"Tartan\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/api-reference/sdk/get-sdk-token.md","siteName":"Tartan","nav":{"global":null,"tabs":[{"tab":"Overview","pages":[{"title":"Overview","href":"/docs/hrmssync/What-is-sync"}]},{"tab":"API Collection","groups":[{"group":"HRMS Sync","pages":[{"title":null,"href":"/docs/api-docs/reference/introduction"},{"group":"Employees","pages":[{"group":"External","pages":[{"title":"Get Employee Details","openapi":"POST /api/external/employee/","sidebarTitle":"Get Employee Details","href":"/api-reference/employees/get-employees-external"},{"title":"Update Employee Details","openapi":"POST /api/webhook/v1/employee/update/","sidebarTitle":"Update Employee Details","href":"/api-reference/employees/update-employee-details"},{"title":"Get Employee Directory","openapi":"GET /api/v2/employee_list/","sidebarTitle":"Get Employee Directory","href":"/api-reference/employees/get-employees-v2"},{"title":"Get Employee Salary Details","openapi":"GET /api/v2/salary_details/{emp_id}/","sidebarTitle":"Get Salary Details","description":"Returns CTC and/or monthly salary breakup for a specific employee.","href":"/api-reference/employees/get-salary-details-v2"}]}]},{"group":"SDK","pages":[{"title":"Get SDK Token","openapi":"POST /api/sdk/token/","sidebarTitle":"Get SDK Token","href":"/api-reference/sdk/get-sdk-token"},{"title":"Get Data Model Flags","openapi":"GET /api/sdk/data_model_flags/","sidebarTitle":"Get Data Model Flags","description":"Retrieve the current configuration of data model flags that control which fields are enabled, disabled, or optional in the SDK.","href":"/api-reference/sdk/get-data-model-flags"},{"title":"Terminate Connection","openapi":"POST /api/terminate_connection","sidebarTitle":"Terminate Connection","href":"/api-reference/sdk/terminate-connection"}]},{"group":"Organization","pages":[{"title":"Get Organization Details","openapi":"GET /api/org_details/{org}/","sidebarTitle":"Get Organization Details","href":"/api-reference/organization/get-organization-details"},{"title":"Get Vendor Connections","openapi":"GET /api/vendor/connections/","sidebarTitle":"Get Vendor Connections","href":"/api-reference/organization/get-vendor-connections"},{"title":"Get Supported HRMS List","openapi":"GET /api/hrms_list/","sidebarTitle":"Get HRMS List","href":"/api-reference/organization/get-hrms-list"}]},{"group":"Connections","pages":[{"title":"Get Connection Sync Filter","openapi":"GET /api/conn/sync-filter/","sidebarTitle":"Get Sync Filter","href":"/api-reference/connections/get-sync-filter"},{"title":"Get Connection Sync Configuration","openapi":"GET /api/webhook_confs/{uuid}/","sidebarTitle":"Get Sync Config","href":"/api-reference/connections/get-connection-sync-config"}]},{"group":"Webhooks","pages":[{"group":"Webhook Management","pages":[{"title":"Resend a Failed Webhook","openapi":"POST /api/webhooks/resend","sidebarTitle":"Resend Webhook","href":"/api-reference/webhooks/webhook-management/resend-webhook"},{"title":"List Webhook Deliveries","openapi":"GET /api/webhooks/deliveries","sidebarTitle":"List Deliveries","href":"/api-reference/webhooks/webhook-management/list-webhook-deliveries"}]},{"group":"Webhook Push","pages":[{"title":"OAuth Token","openapi":"POST /api/external/oauth/token","sidebarTitle":"OAuth Token","href":"/api-reference/webhooks/webhook-push/webhook-oauth-token"},{"title":"Sync Callback","openapi":"POST /api/external/sync/callback","sidebarTitle":"Sync Callback","href":"/api-reference/webhooks/webhook-push/webhook-basic-auth-sync-callback"}]},{"group":"Webhook events V2","pages":[{"title":null,"href":"/api-reference/webhooks/webhook-events-V2/introduction"},{"title":null,"href":"/api-reference/webhooks/webhook-events-V2/test-webhook"},{"title":null,"href":"/api-reference/webhooks/webhook-events-V2/connection-requested"},{"title":null,"href":"/api-reference/webhooks/webhook-events-V2/connection-accepted"},{"title":null,"href":"/api-reference/webhooks/webhook-events-V2/connection-failed"},{"title":null,"href":"/api-reference/webhooks/webhook-events-V2/connection-terminated"},{"title":null,"href":"/api-reference/webhooks/webhook-events-V2/sync-initiated"},{"title":null,"href":"/api-reference/webhooks/webhook-events-V2/employee-add"},{"title":null,"href":"/api-reference/webhooks/webhook-events-V2/delta-employee-add"},{"title":null,"href":"/api-reference/webhooks/webhook-events-V2/delta-employee-update"},{"title":null,"href":"/api-reference/webhooks/webhook-events-V2/sync-completed"},{"title":null,"href":"/api-reference/webhooks/webhook-events-V2/salary-master"},{"title":null,"href":"/api-reference/webhooks/webhook-events-V2/employee-add-csv"},{"title":null,"href":"/api-reference/webhooks/webhook-events-V2/delta-employee-update-csv"}]},{"group":"Webhook Reconciliation","pages":[{"title":"Webhook Reconciliation","openapi":"POST /api/webhooks/resend","sidebarTitle":"Webhook Reconciliation","href":"/api-reference/webhooks/webhook-recon/webhook-reconciliation"}]}]}]},{"group":"Expense","pages":[]}]}]},"basePath":"","title":"Get SDK Token - Tartan","buildId":"dpl_41S5Z2jG9QnfDRwN1KZrLdBwj7DM","deploymentId":"dpl_41S5Z2jG9QnfDRwN1KZrLdBwj7DM","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","07c022d89b","a74be98ba7","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-DDP9JXtj.js","utils-8yQyvEtx.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-CBCFR8Sn.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-rQaXkUHa.js","snippetPresets-J5KpBTgV.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","conditional-requirements-CFM0id0Q.js","ApiExamples-BVxVH4Cj.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-BxdQ2vIi.js","shallow-BjV2tFiD.js","getApiPlaygroundDisplay-C_55tL4O.js","CodeSnippet-C0JpiCOC.js","CodeSnippets-w9Ps7djG.js","Page-DTNSD-0M.js","getPastedJson-BDfB-H8d.js","icon-g-kUkkO9.js","MethodPill-v4l6fq0h.js","DuplicateIcon-CvLo-CfU.js","createIcon-165clrrV.js","DynamicMarkdown-D3RQ-fEj.js","SectionHeading-vvo-3yLf.js","axios-vUo_bRtp.js","Frame-rZ_6yn08.js","zoom-image-lightbox-CMHgNu49.js","lightbox-handle-r17bVUz3.js","Markdown-CMT1uFWQ.js","clsx-C8f2yC9R.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-CI2D8R2Y.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-k78Wrw_e.js"]}